Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 706312 - net-analyzer/ipv6toolkit-2.1_p20190919 : fails to build with -fno-common or gcc-10
Summary: net-analyzer/ipv6toolkit-2.1_p20190919 : fails to build with -fno-common or g...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Netmon Herd
URL:
Whiteboard:
Keywords: UPSTREAM
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-25 15:36 UTC by Toralf Förster
Modified: 2020-01-27 01:56 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.13 KB, text/plain)
2020-01-25 15:37 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,15.36 KB, text/plain)
2020-01-25 15:38 UTC, Toralf Förster
Details
environment (environment,49.46 KB, text/plain)
2020-01-25 15:39 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,11.46 KB, application/x-bzip)
2020-01-25 15:40 UTC, Toralf Förster
Details
net-analyzer:ipv6toolkit-2.1_p20190919:20200125-103842.log (net-analyzer:ipv6toolkit-2.1_p20190919:20200125-103842.log,3.34 KB, text/plain)
2020-01-25 15:40 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,13.50 KB, application/x-bzip)
2020-01-25 15:41 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-25 15:36:40 UTC
      |        ^~~~~~~~~~~~~
x86_64-pc-linux-gnu-gcc  -O2 -pipe -march=native -fno-common -o addr6 tools/addr6.c libipv6.o -Wl,-O1 -Wl,--as-needed -lpcap -lm 
cp tools/blackhole6 ./
x86_64-pc-linux-gnu-gcc  -O2 -pipe -march=native -fno-common -o flow6 tools/flow6.c libipv6.o -Wl,-O1 -Wl,--as-needed -lpcap -lm
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: libipv6.o:(.bss+0x0): multiple definition of `pcap_filter'; /var/tmp/portage/net-analyzer/ipv6toolkit-2.1_p20190919/temp/ccjVoR1h.o:(.bss+0x12dc0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: libipv6.o:(.bss+0x20): multiple definition of `errbuf'; /var/tmp/portage/net-analyzer/ipv6toolkit-2.1_p20190919/temp/ccjVoR1h.o:(.bss+0x12c80): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_no-multilib-20200124-204141

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *


llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.7
  [2]   python3.6
  [3]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *



repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Sat, 25 Jan 2020 09:06:10 +0000

emerge -qpvO net-analyzer/ipv6toolkit
[ebuild   R   ] net-analyzer/ipv6toolkit-2.1_p20190919
Comment 1 Toralf Förster gentoo-dev 2020-01-25 15:37:30 UTC
Created attachment 604258 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-25 15:38:22 UTC
Created attachment 604260 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-25 15:39:13 UTC
Created attachment 604262 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-25 15:40:02 UTC
Created attachment 604264 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-25 15:40:58 UTC
Created attachment 604266 [details]
net-analyzer:ipv6toolkit-2.1_p20190919:20200125-103842.log
Comment 6 Toralf Förster gentoo-dev 2020-01-25 15:41:55 UTC
Created attachment 604268 [details]
temp.tbz2
Comment 7 Larry the Git Cow gentoo-dev 2020-01-27 01:49:15 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1218896cfa1438d0a327d0d21ca9d44763a75f2e

commit 1218896cfa1438d0a327d0d21ca9d44763a75f2e
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-01-27 01:48:21 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-01-27 01:49:11 +0000

    net-analyzer/ipv6toolkit: Fix CFLAGS=-fno-common
    
    Package-Manager: Portage-2.3.85, Repoman-2.3.20
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=706312
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 .../ipv6toolkit-2.1_p20190919-fno-common.patch     | 192 +++++++++++++++++++++
 .../ipv6toolkit/ipv6toolkit-2.1_p20190919.ebuild   |   3 +
 .../ipv6toolkit/ipv6toolkit-99999999.ebuild        |   3 +
 3 files changed, 198 insertions(+)